Project and Portfolio Management Practitioners Forum
cancel

Web Service Issue.

SOLVED
Go to solution
Highlighted
ieroglif
Respected Contributor.

Web Service Issue.

Hi everyone.

 

I'm trying to execute the toolkit samples according to "Web Services Guide" . But I get such error:

 "Unsupported major.minor version 51.0" , I believe that it cause I used some old classes, if it so, where may I get up to date sample classes?

Best Regards,
Ieroglif.
2 REPLIES
dlinetsk
Super Contributor.

Re: Web Service Issue.

The toolkit and PPM classes are all you need to run webservcies. See if you have your classpath set correctly. If classpath is set ok, download the toolkit for your PPM version.
Etienne_Canaud
Outstanding Contributor.
Solution

Re: Web Service Issue.

Hi, 

 

The message "Unsupported major.minor version 51.0" points to an incorrect Java version. This happens for example if you are trying to use a Java 5.0 JVM for running some code that was compiled using a Java 6.0 JVM (or later).

 

Please make sure that all the java code you are executing (especially Web Services Jars) has been compiled using a JVM version that is no later than the JVM version you are using to run the code.

 

Kind Regards,
Etienne.